Changing token expiration times
Changing token expiration times
Changes the current access & refresh token expirations for Tanzu Ops Manager UAA and restarts the UAA
Request
URI
PUT
https://{opsmanager-installation}/api/v0/uaa/tokens_expiration
COPY
Request Body
TokenExpiration
of type(s)
application/json
Required
{
"token_expiration": {
"access_token_expiration": 0,
"refresh_token_expiration": 0,
"session_idle_timeout": 0
}
}
token_expiration
Optional
token_expiration
Responses
200
OK
Returns
EmptyResponse
of type(s)
application/json
Operation doesn't return any data structure
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
422
Unprocessable Content
Returns
NestedErrorsResponseVariant
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v0/uaa/tokens_expiration
Uaa Settings Operations
GET
Viewing UAA password policy
PUT
Update UAA password policy
PUT
Setting precreated-client secret
GET
Retrieve token exchange UAA client credentials
DELETE
Remove token exchange trust configuration
GET
Viewing token exchange trust configuration
PUT
Configure token exchange trust
GET
Viewing token expiration times
PUT
Changing token expiration times